<div id="center-column">
<div class="top-bar">
<h1>Cpanel - Mochi ID de publicador de anuncios</h1>
<div class="breadcrumbs"><a href="index.php?act=managemochi" title="Instalar Juegos Mochi">Instalar Juegos Mochi</a></div>
</div><br />
<div class="select-bar"></div>
<?php
$result = yasDB_select("SELECT `mochi_pub_key` FROM `settings` WHERE `id`=1",false);
$mochipubkey = $result->fetch_array(MYSQLI_NUM);
$result->close();

$result2 = yasDB_select("SELECT `mochi_secret_key` FROM `settings` WHERE `id`=1",false);
$mochisecretkey = $result2->fetch_array(MYSQLI_NUM);
$result2->close();

if(!function_exists('curl_exec') || !function_exists('json_decode')) {
	echo "<center>Make sure PHP functions cURL and JSON are enabled on your server and try again.\n";
	echo "For assistance go to our support forum at www.yourarcadescript.com/forum</center>";
	exit();
}
//$mochipubkey[0] = NULL;
if ($mochipubkey[0] == NULL) { ?>
	<center><h3>Configuracion</h3>
    Usted necesita una ID de publicador MochiAds para cargar juegos Mochi a traves de este menu. Si usted necesita uno, puede obtenerlo aqui:<br />
    <a href="https://www.mochimedia.com/r/a40f841c60c23178" target="_blank"><span style="color:#FF7700">Free MochiAds Publisher Signup</span></a>.<br />
    <br />Despues de haber hecho la cuenta ingrese su usuario y contraseņa secreta a continuacion:<br /></center>
<?php
} ?><center><h3>Actualizacion de su ID de publicador MochiAds si es necesario:</h3></center>
    <div class="table">
		    <img src="img/bg-th-left.gif" width="8" height="7" alt="" class="left" />
			<img src="img/bg-th-right.gif" width="7" height="7" alt="" class="right" />
			<form action="" method="post">
			<table class="listing form" cellpadding="0" cellspacing="0">
			<tr>
	        <th class="full" colspan="2">Mochi ID de publicador de anuncios</th>
			</tr>
			<tr>
			<td class="first"><strong>ID de editor</strong></td>
			<td class="last"><input type="text" size = "18" name="pubid" value="<?php echo $mochipubkey[0]; ?>" /></td>
			</tr>
			<tr>
			<td class="first"><strong>Clave Secreta</strong></td>
			<td class="last"><input type="text" size="33" name="secretkey" value="<?php echo $mochisecretkey[0]; ?>" /></td>
			</tr>
			<tr>
			<td class="first" width="172"></td>
			<td class="last"><input type="submit" class="button" name="pubsubmit" value="Enviar" />	<input type="reset" class="button" name="reset" id="reset" value=" Reiniciar " /></td>
			</tr>
			</form>
			</table>
			</div>
			<center><h3>* El ID de usuario y clave secreta Autor, de haber entrado en Mochimedia, se puede encontrar<a href="https://www.mochimedia.com/pub/settings" target="_blank"><span style="color:#FF7700">here</span></a>. Si su ID de publicador que esta mal, la fuente se descarga, pero estara vacia.</h3></center>
<?php
if (isset($_POST['pubsubmit'])) {
	$id = $_POST['pubid'];
	$ids = $_POST['secretkey'];
	$mochipubkey = $id;
	$mochisecretkey = $ids;
	$sql = "UPDATE settings SET mochi_pub_key = '$id'";
	$sql2 = "UPDATE settings SET mochi_secret_key = '$ids'";
	$result = yasDB_update($sql,false);
	if (!$result) {
		echo 'Error updating Pub ID';
		exit();
	}
	$result = yasDB_update($sql2,false);
	if (!$result) {
		echo 'Error updating Secret Key';
		exit();
	}
	unset($_POST['pubsumit']);
	echo '<font color="red">Actualizado!</font>';
}
?>
</div>